Bug 264629 - imap doesn't update messagelist with dimap
Summary: imap doesn't update messagelist with dimap
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Unclassified
Component: server (show other bugs)
Version: 4.7
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Kevin Ottens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-28 14:01 UTC by simon
Modified: 2013-03-03 14:06 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments
akonadiserverrc (202 bytes, application/octet-stream)
2011-05-10 15:19 UTC, Christian Mollekopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description simon 2011-01-28 14:01:13 UTC
Version:           4.7 (using Devel) 
OS:                Linux

hi,

somehow akonadi stopped to show new mails for my imap account, i switched from disconnected to connected mode and back but no luck

i can see on the server log that it logs in but kmail doesn't show new mail, no IDLE no manual mailcheck works :(

Reproducible: Always




OS: Linux (x86_64) release 2.6.37-zen0-00281-g2450545
Compiler: x86_64-pc-linux-gnu-gcc
Comment 1 Christian Mollekopf 2011-05-10 01:41:33 UTC
I think I'm facing the same problem here with arch linux packages (4.6.41 (4.7 >= 20110106)).
All my imap accounts stopped syncing last week, and I was not able to get them started again (by restarting akonadi/agents, toggling online/offline, reconfiguring). They just remain in the "Connection Established" state instead of the usual "idle" or so.

Thats the debug output of akonadiconsole when triggering an update from kmail2:
akonadi_imap_resource_0 (0xf7d4b0) 87 LSUB 3 0 (RESOURCE akonadi_imap_resource_0) (STATISTICS true ANCESTORS INF) 
akonadi_imap_resource_0 (0xf7d4b0) * 3 2 (NAME "INBOX" MIMETYPE (message/rfc822 inode/directory) REMOTEID ".INBOX" REMOTEREVISION "" RESOURCE "akonadi_imap_resource_0" MESSAGES 1000 UNSEEN 46 SIZE 90516201 CACHEPOLICY (INHERIT true INTERVAL 5 CACHETIMEOUT -1 SYNCONDEMAND true LOCALPARTS (ENVELOPE HEAD RFC822)) ANCESTORS ((2 "imap://chrigi_1@fastmail.fm@mail.messagingengine.com/") (0 "")) ENTITYDISPLAY "(\"Inbox\" \"mail-folder-inbox\" \"\" ())" uidnext "16554" collectionflags "\\Answered \\Flagged \\Draft \\Deleted \\Seen hasnoatt hasatt hasnotd hastd $FORWARDED KMAILFORWARDED KMAILTODO KMAILWATCHED KMAILIGNORED $TODO $WATCHED $IGNORED $ATTACHMENT selected \\*" uidvalidity "1225318296" collectionquota "418869248 1048576000" imapacl "admin lrswipckxtdae % anyone p % chrigi_1@fastmail.fm lrswipckxtde %% " timestamp "1303581071" imapquota "user.chrigi_1 %%%% STORAGE % 1024000 %%%% STORAGE % 409052") 
akonadi_imap_resource_0 (0xf7d4b0) 87 OK List completed
Comment 2 Christophe Giboudeaux 2011-05-10 10:13:55 UTC
Christian, can you paste your akonadiserverrc please (in ~/.config/akonadi)
Comment 3 Christian Mollekopf 2011-05-10 15:19:40 UTC
Created attachment 59860 [details]
akonadiserverrc
Comment 4 Kevin Ottens 2011-09-17 12:45:18 UTC
I'm told by Christian and Volker that it was actually a database issue. Volker is working on improving the recovery, reassigning on akonadi server.
Comment 5 András Manţia 2013-03-03 14:06:32 UTC
Git commit c004365e4ce815d341aa2098ad412f450dc65336 by Andras Mantia.
Committed on 03/03/2013 at 11:32.
Pushed by amantia into branch 'master'.

Fetch the missing mail bodies in offline mode (requires fixed in Akonadi server and Akonadi client libraries as well to work).
Related: bug 255578, bug 286047

FIXED-IN: 4.11

M  +6    -1    resources/imap/imapresource.cpp
M  +1    -0    resources/imap/imapresource.h
M  +76   -7    resources/imap/retrieveitemstask.cpp
M  +11   -3    resources/imap/retrieveitemstask.h

http://commits.kde.org/kdepim-runtime/c004365e4ce815d341aa2098ad412f450dc65336